import "./tasks/vcfstat.wdl" as vcfstat
import "./tasks/mergeNum.wdl" as mergeNum

workflow {{ project_name }} {

	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	

	scatter (sample in inputSamples) {

		call vcfstat.vcfstat as vcfstat {
			input:
			vcf=sample[1],
			sampleName=sample[0]
		}	

	}

	call mergeNum.mergeNum as mergeNum {
		input:
		vcfnumber=vcfstat.vcfnumber
	}

}